Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGfxDriverFactory Class Reference

The QGfxDriverFactory class creates QScreen objects for Qt/Embedded. More...

`#include <qgfxdriverfactory_qws.h>`

List of all member functions.

## Static Public Members

- QStringList keys ()
- QScreen * create ( const QString & key, int displayId )

## Detailed Description

The QGfxDriverFactory class creates QScreen objects for Qt/Embedded.

The graphics driver factory creates a QScreen object for a given key with QGfxDriverFactory::create(key).

The drivers are either built-in or dynamically loaded from a driver plugin (see QGfxDriverPlugin).

QGfxDriverFactory::keys() returns a list of valid keys. Qt currently ships with "LinuxFb".

This class is only available in Qt/Embedded.

## Member Function Documentation

### QScreen * QGfxDriverFactory::create ( const QString & key, int displayId )`[static]`

Creates a QScreen object of a type that matches key, and with the ID, displayId. The QScreen object returned may be from a built-in driver, or from a driver plugin.

See also keys().

### QStringList QGfxDriverFactory::keys ()`[static]`

Returns the list of keys this factory can create drivers for.

See also create().

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.